Skip to main content
POST
/
1
/
authentications
/
search
curl
curl --request POST \
  --url https://data.us.algolia.com/1/authentications/search \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "authenticationIDs": [
    "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
  ]
}
'
[
  {
    "authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
    "createdAt": "<string>",
    "input": {
      "clientEmail": "service-account-name@project-id.iam.gserviceaccount.com",
      "privateKey": "<string>"
    },
    "name": "<string>",
    "updatedAt": "<string>",
    "owner": "<string>"
  }
]
Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Body

application/json

Request body for searching for authentication resources.

authenticationIDs
string[]
required

Universally unique identifier (UUID) of an authentication resource.

Response

OK

authenticationID
string
required

Universally unique identifier (UUID) of an authentication resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

createdAt
string
required

Date and time when the resource was created, in RFC 3339 format.

input
object
required

Credentials for authenticating with a Google service account, such as BigQuery.

name
string
required

Descriptive name for the resource.

type
enum<string>
required

Type of authentication. This determines the type of credentials required in the input object.

Available options:
googleServiceAccount,
basic,
apiKey,
oauth,
algolia,
algoliaInsights,
secrets
updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

owner
string | null

Owner of the resource.

platform
enum<string> | null

Name of an ecommerce platform with which to authenticate. This determines which authentication type you can select.

Available options:
bigcommerce,
commercetools,
shopify
Last modified on March 23, 2026